diff -urN linux-2.4.20/drivers/usb/storage/unusual_devs.h linux-2.4.20-cardread/drivers/usb/storage/unusual_devs.h
--- linux-2.4.20/drivers/usb/storage/unusual_devs.h	Sun Dec  1 18:08:14 2002
+++ linux-2.4.20-cardread/drivers/usb/storage/unusual_devs.h	Tue Feb 18 22:26:06 2003
@@ -506,6 +506,18 @@
  		US_SC_SCSI, US_PR_CB, NULL,
 		US_FL_MODE_XLATE ),
 
+/* Included by Paul Evans <nerd@freeuk.com>
+ * For A-mego Dual Slot USB Card Reader/Writer
+ * From instructions found on:
+ * http://www.qbik.ch/usb/devices/showdev.php?id=1262
+ */
+
+UNUSUAL_DEV(  0x0aec, 0x5010, 0x0100, 0x0100, 
+		"A-Mego", 
+		"CSU-LA1 Dual Slot USB Card Reader / Writer", 
+		US_SC_SCSI, US_PR_BULK, NULL, 
+		US_FL_FIX_INQUIRY ),
+
 #ifdef CONFIG_USB_STORAGE_ISD200
 UNUSUAL_DEV(  0x0bf6, 0xa001, 0x0100, 0x0110,
                 "ATI",
@@ -545,3 +557,4 @@
 		US_SC_SCSI, US_PR_SDDR55, NULL,
 		US_FL_SINGLE_LUN),
 #endif
+
